<script setup>
import { storeToRefs } from 'pinia'
import { useBlocStore } from '@/store/bloc'

const prop = defineProps({
  bid: {
    type: String,
    required: true
  }
})

const emit = defineEmits([
  'event-confirm'
])

const { currentBlocMap } = storeToRefs(useBlocStore())
const blocStore = useBlocStore()

const handleDelete = (targetDirectory) => {
  blocStore.move(prop.bid, targetDirectory)
  emit('event-confirm')
}
</script>

<template>
  <div class="file-modal-content-delete">
    <div class="file-modal-content-delete__description">
      Are you sure to delete {{ currentBlocMap[bid].is_directory ? 'directory' : 'file' }}
      named <strong>{{ currentBlocMap[bid].name }}</strong> permanently ?
    </div>
    <div class="file-modal-content-delete__actions">
      <button class="button-base button-primary" @click="handleDelete">
        Confirm
      </button>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.file-modal-content-delete {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding: 6px 1rem;
  input {
    background-color: #161b22;
  }
  &__description {
    text-align: center;
    color: $complementary-white-50;
    > strong {
      color: $complementary-white;
    }
  }
  &__actions {
    display: flex;
    justify-content: center;
    align-items: center;
  }
}
</style>
